Installed:
Code:
Subversion 1.6.3-1.1
KDE 3.5.10
I upgraded subversion to 1.6.3, and wanted to make sure I had the latest kdesvn for KDE 3.5 and subversion 1.6.3. I went to kdesvn support site but it wasn't clear if 1.0.5 was sufficient for subversion 1.6, so I downloaded kdesvn 1.0.6 and built it myself (previously 1.0.5 had come from opensuse). Everything looked okay, but...

When I click on the Help | Info about kdesvn part I see:

Code:
Built with subversion library 1.4.4  
Running subversion library 1.6.3
Help | About kdesvn shows:
Code:
kdesvn 1.0.6
.

I don't understand the 1.4.4 subversion library reference in the display. I would have thought it would have been 1.6.3.

1. Are kdesvn 1.0.5 and 1.0.6 the same when it comes to subversion 1.6?

2. Why am I seeing "Built with subversion library 1.4.4" instead of 1.6.3 when I built kdesvn 1.0.5 myself?

3. Since we don't plan on going to KDE 4, but stick'n with KDE 3 for the near future, any suggestions for svn gui alternatives?

Thank you in advance for your help.